Package com.avaya.clientservices.media.codec

## Class VideoMediaFormat

- java.lang.Object
- - com.avaya.clientservices.media.codec.VideoMediaFormat

-     public class VideoMediaFormat
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `android.media.MediaFormat` | `m_format` |
    `int` | `m_nBottom` |
    `int` | `m_nColor` |
    `int` | `m_nHeight` |
    `int` | `m_nLeft` |
    `int` | `m_nRight` |
    `int` | `m_nTop` |
    `int` | `m_nWidth` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoMediaFormat()` |
    `VideoMediaFormat​(android.media.MediaFormat format)` |
    `VideoMediaFormat​(VideoMediaFormat other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `Assign​(VideoMediaFormat other)` |
    `int` | `CroppedHeight()` |
    `int` | `CroppedWidth()` |
    `boolean` | `Equals​(VideoMediaFormat format)` |
    `void` | `ForceAlign​(int nAlign)` |
    `boolean` | `IsCropped()` |
    `boolean` | `IsValid()` |
    `void` | `Reset()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m_format

          public android.media.MediaFormat m_format

    - #### m_nWidth

          public int m_nWidth

    - #### m_nHeight

          public int m_nHeight

    - #### m_nLeft

          public int m_nLeft

    - #### m_nTop

          public int m_nTop

    - #### m_nRight

          public int m_nRight

    - #### m_nBottom

          public int m_nBottom

    - #### m_nColor

          public int m_nColor

  - ### Constructor Detail

    - #### VideoMediaFormat

          public VideoMediaFormat()

    - #### VideoMediaFormat

          public VideoMediaFormat​(android.media.MediaFormat format)

    - #### VideoMediaFormat

          public VideoMediaFormat​(VideoMediaFormat other)

  - ### Method Detail

    - #### Reset

          public void Reset()

    - #### Assign

          public void Assign​(VideoMediaFormat other)

    - #### Equals

          public boolean Equals​(VideoMediaFormat format)

    - #### IsValid

          public boolean IsValid()

    - #### IsCropped

          public boolean IsCropped()

    - #### CroppedWidth

          public int CroppedWidth()

    - #### CroppedHeight

          public int CroppedHeight()

    - #### ForceAlign

          public void ForceAlign​(int nAlign)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`